dbXML API

## com.dbxml.db.admin.xmleditor
Class ElementResourceMap

    java.lang.Object
      com.dbxml.db.admin.xmleditor.ElementResourceMap

public final class ElementResourceMap
extends java.lang.Object

ElementResourceMap

Constructor Summary
`ElementResourceMap()`
`ElementResourceMap(org.w3c.dom.Document doc)`
`ElementResourceMap(org.w3c.dom.Element elem)`

Method Summary
`void` `clear()`
`java.awt.Color` `getBackgroundColor(java.lang.String element)`
`java.lang.Class` `getEditor(java.lang.String element)`
`java.awt.Color` `getForegroundColor(java.lang.String element)`
`javax.swing.Icon` `getIcon(java.lang.String element)`
`void` `removeBackgroundColor(java.lang.String element)`
`void` `removeEditor(java.lang.String element)`
`void` `removeForegroundColor(java.lang.String element)`
`void` `removeIcon(java.lang.String element)`
`void` `setBackgroundColor(java.lang.String element, java.awt.Color color)`
`void` `setConfig(Configuration config)`
`void` `setConfig(org.w3c.dom.Element elem)`
`void` `setEditor(java.lang.String element, java.lang.Class editor)`
`void` `setForegroundColor(java.lang.String element, java.awt.Color color)`
`void` `setIcon(java.lang.String element, javax.swing.Icon icon)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementResourceMap

    public ElementResourceMap()

### ElementResourceMap

    public ElementResourceMap(org.w3c.dom.Document doc)

### ElementResourceMap

    public ElementResourceMap(org.w3c.dom.Element elem)

Method Detail

### setConfig

    public void setConfig(Configuration config)

### setConfig

    public void setConfig(org.w3c.dom.Element elem)

### getBackgroundColor

    public java.awt.Color getBackgroundColor(java.lang.String element)

### setBackgroundColor

    public void setBackgroundColor(java.lang.String element,
                                   java.awt.Color color)

### removeBackgroundColor

    public void removeBackgroundColor(java.lang.String element)

### getForegroundColor

    public java.awt.Color getForegroundColor(java.lang.String element)

### setForegroundColor

    public void setForegroundColor(java.lang.String element,
                                   java.awt.Color color)

### removeForegroundColor

    public void removeForegroundColor(java.lang.String element)

### getIcon

    public javax.swing.Icon getIcon(java.lang.String element)

### setIcon

    public void setIcon(java.lang.String element,
                        javax.swing.Icon icon)

### removeIcon

    public void removeIcon(java.lang.String element)

### getEditor

    public java.lang.Class getEditor(java.lang.String element)

### setEditor

    public void setEditor(java.lang.String element,
                          java.lang.Class editor)

### removeEditor

    public void removeEditor(java.lang.String element)

### clear

    public void clear()

dbXML API

Copyright (c) 2004 The dbXML Group